API referenceAgents and workflowsTeams
Archive an agent team (deletes member VMs for good; keeps the conversation log)
Requires the agent_teams:invoke permission.
AuthorizationBearer <token>
An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.
In: header
Path Parameters
id*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/teams/string/archive"{ "created_at": "2019-08-24T14:15:22Z", "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "idle_timeout_seconds": 0, "instance_size": "string", "last_error": "string", "max_messages": 0, "members": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "instance_id": "06587974-2dbe-4e10-8bf9-38cce0f5a366", "lead": true, "name": "string", "online": true, "role": "string", "run_id": "dded282c-8ebd-44cf-8ba5-9a234973d1ec", "state": "string" } ], "messages_used": 0, "model": "string", "name": "string", "namespace": "string", "plan": { "brief": "string", "members": [ { "lead": true, "name": "string", "role": "string", "system_prompt": "string" } ], "stages": [ { "gates": "string", "id": "string", "kind": "string", "parallel": true, "tasks": [ { "name": "string", "prompt": "string", "role": "string" } ] } ], "summary": "string", "ui_spec": { "property1": {}, "property2": {} } }, "prompt": "string", "stage_state": { "artifacts": [ "string" ], "attempt": 0, "findings": "string", "index": 0, "stage_id": "string", "status": "string" }, "stages": [ { "gates": "string", "id": "string", "kind": "string", "parallel": true, "tasks": [ { "name": "string", "prompt": "string", "role": "string" } ] } ], "state": "string", "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0", "updated_at": "2019-08-24T14:15:22Z"}